# Slugit

Slugit is a simple jQuery plugin to trim your input field and output them in(to) another input (slug) field

## Usage

You can simply include the javascript file and initialize Slugit with one line

```javascript
$('.slugit').slugit();
```

On your input field set a target (`data-slugit-target`) which will be the trimmed input

```html
<input type="text" class="slugit" data-slugit-target="#keyup-slug">
```

### Options

There are some options to customize the plugin

```javascript
$('.slugit').slugit({
    'event': 'keyup', // default: blur
    'seperator': '-', // default: '-'
    'onLoad': false  // default: false
    // more options coming soon
});
```

## Documentation

### List of available options

##### event - string | 'keyup', default: 'blur'

Set the event on which the input field(s) needs to be triggered.

##### separator - string | 'Any character', default: '-'

Character that the trimmed characters are replaced with.

##### onLoad - boolean | default: 'false'

Trim the input field on load (initialize).


#### Data targets

If you want to have different event types per input field you can set a `data-slugit-event="event"` value.

```html
<input type="text" class="slugit" name="keyup" data-slugit-target="#keyup-slug" data-slugit-event="keyup">
```

## Demo

Simple example can be found here: [Slugit demo](https://liammjs.github.io/slugit/demo/) 

## Slugit

Slugit is a really small/simple I built to ease 'slugifying' input fields. It's nothing big or special.

## Contribution

If you have any issues or suggestions to expand the plugin, feel free to raise them in [issues](https://github.com/liammjs/slugit/issues) please.

---

MIT Licensed
